use frame_support::weights::Weight;

pub trait WeightInfo {
    fn slow_clap(claps_len: u32, companions_len: u32) -> Weight;
    fn propose_companion() -> Weight;
    fn release_companion() -> Weight;
    fn kill_companion() -> Weight;
}

impl WeightInfo for () {
    fn slow_clap(
        _claps_len: u32, 
        _companions_len: u32,
    ) -> Weight { Weight::zero() }
    fn propose_companion() -> Weight { Weight::zero() }
    fn release_companion() -> Weight { Weight::zero() }
    fn kill_companion() -> Weight { Weight::zero() }
}
